% function n_sectors_rbc
% written by Alessandro Mennuni
% contains the equilibrium conditions of the RBC model with exogenous labor
% input;
% vector x of dimension (2nx+2ny)*1, i.e.  x=[x1;y1;x;y]
% output;
% residuals from equilibrium conditions of the model.
% this function is called by example1/dynamic_perturbation
function [res] = n_sectors_rbc(x)
global beta alpha rho delta n lab
k_1=x(1:n);A_1=x(n+1:2*n);c_1=x(2*n+1);l_1=x(2*n+1+1:2*n+1+n);
k=x(3*n+1+1:3*n+1+n);A=x(3*n+1+n+1:3*n+1+2*n);c=x(3*n+1+2*n+1);
l=x(3*n+1+2*n+1+1:3*n+1+2*n+1+n);

%k_1=x(1);A_1=x(2);c_1=x(3); k=x(4);A=x(5);c=x(6);
res=zeros(3*n+1,1);
for i=1:n
    res(i)=c_1-beta*c*(1+alpha(i)*exp(A_1(i))*k_1(i)^(alpha(i)-1)*...
        (l_1(i))^(1-alpha(i))-delta(i));
    res(n+i)=A_1(i)-rho(i)*A(i);
    res(2*n+i)=l(i)-lab(i);
end
    res(3*n+1)=c+(k_1-k.*(1-delta)-exp(A).*k.^alpha.*l.^(1-alpha))'*ones(n,1); 
